package cn.com.qmth.sdk.test.sydx;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.security.LoginUtil;
import cn.com.qmth.sdk.security.bean.Session;
import cn.com.qmth.sdk.test.sydx.bean.SydxImportDomain;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import cn.com.qmth.sdk.util.ResourceLoader;
import okhttp3.Response;

public class SaveExamAndExamStudent {

	public static void main(String[] args) {

		Session session = LoginUtil.login("wangwei", "0");

		String url = QmthUtil.buildUrl("/api/ecs_outlet/sydx/import_exam_student_info");

		String json = ResourceLoader.getResource("sydx/SydxImportDomain.json");
		SydxImportDomain reqBody = JsonUtil.fromJson(json, SydxImportDomain.class);
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, session.buildHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
